package fr.iutfbleau.dev45.wamster.tp04ex02_grille;

import android.util.Log;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;

public class Evenement implements View.OnTouchListener {

    private GestureDetector gestureDetector;
    private DetecteGeste listener;

    public Evenement() {
        this.listener = new DetecteGeste();
        gestureDetector = new GestureDetector(this.listener);
    }

    @Override
    public boolean onTouch(View v, MotionEvent event) {
        this.listener.setView(v);
        return gestureDetector.onTouchEvent(event);
    }
}
